## org.eclipse.emf.cdo.server
Interface INotificationManager

    public interface INotificationManager

Since:
  2.0

Method Summary
`IRepository` `getRepository()`
`void` `notifyCommit(ISession session, IStoreAccessor.CommitContext commitContext)` Internal.
`void` `setRepository(IRepository repository)` Internal.

Method Detail

### getRepository

    IRepository getRepository()

### setRepository

    void setRepository(IRepository repository)

  Internal.

### notifyCommit

    void notifyCommit(ISession session,
                      IStoreAccessor.CommitContext commitContext)

  Internal.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.